diff options
| author | Michael Biebl <biebl@debian.org> | 2022-02-19 17:19:17 +0100 |
|---|---|---|
| committer | Michael Biebl <biebl@debian.org> | 2022-02-19 17:19:17 +0100 |
| commit | e3f2ee969d065d2971170563c8aef77d5a0d39b9 (patch) | |
| tree | 94454d4e2fe0955c09516f18dc4e84a6cf7139fa /tools | |
| parent | 2f94dba7385fd0e0ef19a06eb4a2fcf6c43d7946 (diff) | |
New upstream version 1.35.92 upstream/1.35.92
Diffstat (limited to 'tools')
| -rwxr-xr-x | tools/run-nm-test.sh | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/run-nm-test.sh b/tools/run-nm-test.sh index 59a48933..c88a1bd5 100755 --- a/tools/run-nm-test.sh +++ b/tools/run-nm-test.sh @@ -302,8 +302,8 @@ if ! _is_true "$NMTST_USE_VALGRIND" 0; then export NM_TEST_UNDER_VALGRIND=0 "${NMTST_DBUS_RUN_SESSION[@]}" "$TEST" "${TEST_ARGV[@]}" r=$? - [ $r == 0 ] || die "exec \"$TEST\" failed with exit code $r" - exit 0 + [ $r == 0 -o $r == 77 ] || die "exec \"$TEST\" failed with exit code $r" + exit $r fi if [[ -z "${NMTST_VALGRIND}" ]]; then |